GNU bug report logs - #8774
incorrect line numbers from byte-compile-file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stephen Eglen <S.J.Eglen@HIDDEN>; merged with #2681, #9109, #22288, #24128, #24592; dated Tue, 31 May 2011 16:02:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 2681 8774 9109 22288 24128 24592. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Disconnected #24449 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2681 8774 9109 22288 24128 24449. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2681 8774 9109 22288 24449. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2681 8774 9109 22288. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 2681 8774 22288. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 23.3.1. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 May 2011 16:01:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 31 12:01:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QRRNI-0003Td-06
	for submit <at> debbugs.gnu.org; Tue, 31 May 2011 12:01:04 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sje30@HIDDEN>) id 1QRQ0l-0001ZX-Qn
	for submit <at> debbugs.gnu.org; Tue, 31 May 2011 10:33:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sje30@HIDDEN>) id 1QRQ0f-0004jW-UD
	for submit <at> debbugs.gnu.org; Tue, 31 May 2011 10:33:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:55938)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sje30@HIDDEN>) id 1QRQ0f-0004jS-Sd
	for submit <at> debbugs.gnu.org; Tue, 31 May 2011 10:33:29 -0400
Received: from eggs.gnu.org ([140.186.70.92]:36807)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sje30@HIDDEN>) id 1QRQ0e-0007NS-SV
	for bug-gnu-emacs@HIDDEN; Tue, 31 May 2011 10:33:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sje30@HIDDEN>) id 1QRQ0a-0004iW-CM
	for bug-gnu-emacs@HIDDEN; Tue, 31 May 2011 10:33:28 -0400
Received: from ppsw-41.csi.cam.ac.uk ([131.111.8.141]:53407)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sje30@HIDDEN>) id 1QRQ0a-0004iH-8N
	for bug-gnu-emacs@HIDDEN; Tue, 31 May 2011 10:33:24 -0400
X-Cam-AntiVirus: no malware found
X-Cam-SpamDetails: not scanned
X-Cam-ScannerInfo: http://www.cam.ac.uk/cs/email/scanner/
Received: from cpc28-cmbg15-2-0-cust3.5-4.cable.virginmedia.com
	([86.27.189.4]:59504 helo=localhost)
	by ppsw-41.csi.cam.ac.uk (smtp.hermes.cam.ac.uk [131.111.8.156]:587)
	with esmtpsa (PLAIN:sje30) (TLSv1:DHE-RSA-AES256-SHA:256)
	id 1QRQ0Y-0008Vw-Sf (Exim 4.72)
	(return-path <sje30@HIDDEN>); Tue, 31 May 2011 15:33:22 +0100
From: Stephen Eglen <S.J.Eglen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: incorrect line numbers from byte-compile-file
X-Mailer: MH-E 8.2; nmh 1.3; GNU Emacs 23.3.1
Date: Tue, 31 May 2011 15:33:21 +0100
Message-Id: <E1QRQ0Y-0008Vw-Sf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 31 May 2011 12:00:50 -0400
Cc: Stephen Eglen <S.J.Eglen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

With emacs -q, load the following into a file, test.el
----------------------------------------------------------------------
(defun fix-page-breaks ()
  "Fix page breaks in SAS 6 print files."
  (interactive)
  (save-excursion
    (goto-char (point-min))
    (if (looking-at "\f") (delete-char 1))
    (replace-regexp "^\\(.+\\)\f" "\\1\n\f\n")
    (goto-char (point-min))
    (replace-regexp "^\f\\(.+\\)" "\f\n\\1")
    (goto-char (point-min))))


----------------------------------------------------------------------

then M-x byte-compile-file generates:

Compiling file /Users/stephen/txt/t/test.el at Tue May 31 15:28:08 2011

In fix-page-breaks:
test.el:6:28:Warning: `replace-regexp' used from Lisp code
That command is designed for interactive use only
test.el:7:6:Warning: `replace-regexp' used from Lisp code
That command is designed for interactive use only

The first error has the wrong line, although it has caught the two
problematic cases.

This is with emacs 23.3.1, but same behaviour seen on Emacs 24.0.50

Stephen

(emacs-version)
"GNU Emacs 23.3.1 (x86_64-apple-darwin10.6.0, NS apple-appkit-1038.35)
 of 2011-03-10 on teva.local"




Acknowledgement sent to Stephen Eglen <S.J.Eglen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8774; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 Oct 2016 00:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.